### Method

# Pango Layout get_pixel_extents

#### Declaration [src]

    void
    pango_layout_get_pixel_extents (
      PangoLayout* layout,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Computes the logical and ink extents of `layout` in device units.

This function just calls `pango_layout_get_extents()` followed by two `pango_extents_to_pixels()` calls, rounding `ink_rect` and `logical_rect` such that the rounded rectangles fully contain the unrounded one (that is, passes them as first argument to `pango_extents_to_pixels()`).

#### Parameters

`ink_rect`

  Type: `PangoRectangle`

  Rectangle used to store the extents of the layout as drawn.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.

`logical_rect`

  Type: `PangoRectangle`

  Rectangle used to store the logical extents of the layout.

  The argument will be set by the function.
  The argument can be `NULL`.
  The data is owned by the instance.